From 6493fd04581a923d42a566a869b3490d3a159db7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ludovic=20Court=C3=A8s?= <ludo@gnu.org>
Date: Sat, 21 Nov 2015 21:44:41 +0100
Subject: [PATCH] tests: Skip 'guix-container-environment.sh' when support is
 missing.

Fixes <http://bugs.gnu.org/21410>.
Reported by Alex Vong <alexvong1995@gmail.com>.

* tests/guix-environment-container.sh: Exit with 77 when
'((@@ (guix scripts environment) assert-container-features))' fails.
---
 tests/guix-environment-container.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/tests/guix-environment-container.sh b/tests/guix-environment-container.sh
index 8b6f7cd38f5..5670d011179 100644
--- a/tests/guix-environment-container.sh
+++ b/tests/guix-environment-container.sh
@@ -24,6 +24,12 @@ set -e
 
 guix environment --version
 
+if ! guile -c '((@@ (guix scripts environment) assert-container-features))'
+then
+    # User containers are not supported; skip this test.
+    exit 77
+fi
+
 tmpdir="t-guix-environment-$$"
 trap 'rm -r "$tmpdir"' EXIT
 
-- 
GitLab